%define upstream_name minify

Name:           python-%{upstream_name}
Version:        0.1.4
Release:        %mkrel 10
Summary:        Commands for minifying CSS and JS resources
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/minify/
Source0:        https://files.pythonhosted.org/packages/c3/ef/754731014f59409fd0c8bbf773700821f1e234bc6acf7eb0a46ed9b3d88a/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Minify provides distutils/setuptools commands for minifying CSS and JS
resources using the well-known YUI compressor from Yahoo! Inc. When you
install minify, two new commands are available:
- minify_js which minifies Javascript files
- minify_css which minifies CSS files

%package -n     python3-%{upstream_name}
Summary:        Commands for minifying CSS and JS resources
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{upstream_name}
Minify provides distutils/setuptools commands for minifying CSS and JS
resources using the well-known YUI compressor from Yahoo! Inc. When you
install minify, two new commands are available:
- minify_js which minifies Javascript files
- minify_css which minifies CSS files

%prep
%setup -q -n %{upstream_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files minify

%files -n python3-%{upstream_name} -f %{pyproject_files}
%doc README LICENSE CHANGES


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1.4-10.mga10
+ Revision: 2240267
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.1.4-9.mga10
+ Revision: 2157268
- rebuild for python3.13

* Wed Jan 31 2024 papoteur <papoteur> 0.1.4-8.mga10
+ Revision: 2036440
- rebuild for python 3.12
- use pyproject macros

* Wed Mar 23 2022 umeabot <umeabot> 0.1.4-7.mga9
+ Revision: 1823610
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.1.4-6.mga9
+ Revision: 1783768
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.1.4-5.mga9
+ Revision: 1732664
- Rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 0.1.4-4.mga8
+ Revision: 1608283
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.1.4-3.mga8
+ Revision: 1533036
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.1.4-2.mga8
+ Revision: 1443257
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.1.4-1.mga8
+ Revision: 1417074
- imported package python-minify

